Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetVecs

Gets the vectors from the `SNESLineSearch` context

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetVecs(SNESLineSearch linesearch, Vec *X, Vec *F, Vec *Y, Vec *W, Vec *G)

Not Collective but the vectors are parallel

## Input Parameter

- linesearch - the line search context

## Output Parameters

- X - Solution vector

- F - Function vector

- Y - Search direction vector

- W - Solution work vector

- G - Function work vector

## Notes

At the beginning of a line search application, `X` should contain a solution and the vector `F` the function computed at `X`. At the end of the line search application, `X` should contain the new solution, and `F` the function evaluated at the new solution.

These vectors are owned by the `SNESLineSearch` and should not be destroyed by the caller

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchGetNorms()`, `SNESLineSearchSetVecs()`

## Level

advanced

## Location

src/snes/linesearch/interface/linesearch.c

## Examples

src/snes/tutorials/ex1f.F90

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages